{combine_css path=$GUESTBOOK_PATH|cat:'admin/template/style.css'}

<div class="titrePage">
  <h2>GuestBook</h2>
</div>

{footer_script}
function highlighComments() {
  jQuery(".checkComment").each(function() {
    var parent = jQuery(this).parent('tr');
    if (jQuery(this).children("input[type=checkbox]").is(':checked')) {
      jQuery(parent).addClass('selectedComment'); 
    }
    else {
      jQuery(parent).removeClass('selectedComment'); 
    }
  });
}

jQuery(".checkComment").click(function(event) {
  var checkbox = jQuery(this).children("input[type=checkbox]");
  if (event.target.type !== 'checkbox') {
    jQuery(checkbox).attr('checked', !jQuery(checkbox).is(':checked'));
  }
  highlighComments();
});

jQuery("#commentSelectAll").click(function() {
  jQuery(".checkComment input[type=checkbox]").attr('checked', true);
  highlighComments();
  return false;
});

jQuery("#commentSelectNone").click(function() {
  jQuery(".checkComment input[type=checkbox]").attr('checked', false);
  highlighComments();
  return false;
});

jQuery("#commentSelectInvert").click(function() {
  jQuery(".checkComment input[type=checkbox]").each(function() {
    jQuery(this).attr('checked', !$(this).is(':checked'));
  });
  highlighComments();
  return false;
});
{/footer_script}


{if !empty($comments)}
<form method="post" action="{$F_ACTION}" id="pendingComments">
  
<table>
  {foreach from=$comments item=comment name=comment}
  <tr valign="top" class="{if $smarty.foreach.comment.index is odd}row2{else}row1{/if}">
    <td style="width:20px;text-align:center;" valign="middle" class="checkComment">
      <input type="checkbox" name="comments[]" value="{$comment.ID}">
    </td>
    <td>
  <div class="comment">
    <p class="commentHeader"><strong><a href="mailto:{$comment.EMAIL}">{$comment.AUTHOR}</a></strong> - <em>{$comment.DATE}</em><br>

      {if $comment.WEBSITE}<a href="{$comment.WEBSITE}">{$comment.WEBSITE_NAME}</a>{/if}
      {if $comment.RATE}{$comment.STARS}{/if}
    </p>
    <blockquote>{$comment.CONTENT}</blockquote>
  </div>
    </td>
  </tr>
  {/foreach}
</table>

  <p class="checkActions">
    {'Select:'|translate}
    <a href="#" id="commentSelectAll">{'All'|translate}</a>,
    <a href="#" id="commentSelectNone">{'None'|translate}</a>,
    <a href="#" id="commentSelectInvert">{'Invert'|translate}</a>
  </p>

  <p class="bottomButtons">
    <input class="submit" type="submit" name="validate" value="{'Validate'|translate}">
    <input class="submit" type="submit" name="reject" value="{'Reject'|translate}">
  </p>

</form>
{else}
{'No pending comment'|translate}
{/if}
